Subject: Re: bug#64178: replace-regexp ignoring value of org-search-invisible

From: [email-masked]
Date: Tue, 20 Jun 2023 22:04:49 +0100

Of course. My use case is that I wish specifically to append some text to
some lines. The way I normally do this would be to search for the regex
end-of-line ($) and replace with some text. E.g. in order to append the
word foo to the end of a line I would do one of:

:s/$/ foo/ <RET>
M-x regexp-replace RET $ RET  foo

On Tue, 20 Jun 2023 at 21:57, Ihor Radchenko <[email-masked]> wrote:

> [email-masked] writes:
>
> > Thanks. Would you mind trying again, but try and append some text to a
> line
> > by searching for $ (as should have been mentioned in the original bug
> > report). It looks like the evil issue you refer to is at least partly to
> > blame.
>
> May you please elaborate what you mean by "$"?
>
> --
> Ihor Radchenko // yantar92,
> Org mode contributor,
> Learn more about Org mode at <https://orgmode.org/>.
> Support Org development at <https://liberapay.com/org-mode>,
> or support my work at <https://liberapay.com/yantar92>
>